システム開発・構築の神様

新しいサービスや技術を使った開発や構築。その他不具合解決など

AWSサーバーでclamavがアップデートできない!clamav-scanner、clamav-server-sysvinit

AWSサーバー内のclamavを更新しようとしたところ、エラーとなり更新できないトラブルに見舞われています。

 

一つ一つ問題を解決している最中で、残すところ後1つのエラーだけ!

 

--> Running transaction check
---> Package clamav-scanner.noarch 0:0.99.4-1.30.amzn1 will be obsoleted
--> Processing Dependency: clamav-scanner = 0.99.4-1.30.amzn1 for package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch
---> Package clamav-server-sysvinit.noarch 0:0.99.4-1.30.amzn1 will be obsoleted
--> Processing Dependency: clamav-server-sysvinit = 0.99.4-1.30.amzn1 for package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch
---> Package kernel.x86_64 0:4.9.81-35.56.amzn1 will be erased
--> Finished Dependency Resolution
Error: Package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch (@amzn-updates)
Requires: clamav-server-sysvinit = 0.99.4-1.30.amzn1
Removing: clamav-server-sysvinit-0.99.4-1.30.amzn1.noarch (@amzn-updates)
clamav-server-sysvinit = 0.99.4-1.30.amzn1
Obsoleted By: clamd-0.100.2-2.35.amzn1.x86_64 (amzn-updates)
clamav-server-sysvinit = 0.100.2-2.35.amzn1
Available: clamav-server-sysvinit-0.99.4-1.29.amzn1.noarch (amzn-main)
clamav-server-sysvinit = 0.99.4-1.29.amzn1
Error: Package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch (@amzn-updates)
Requires: clamav-scanner = 0.99.4-1.30.amzn1
Removing: clamav-scanner-0.99.4-1.30.amzn1.noarch (@amzn-updates)
clamav-scanner = 0.99.4-1.30.amzn1
Obsoleted By: clamd-0.100.2-2.35.amzn1.x86_64 (amzn-updates)
clamav-scanner = 0.100.2-2.35.amzn1
Available: clamav-scanner-0.99.4-1.29.amzn1.noarch (amzn-main)
clamav-scanner = 0.99.4-1.29.amzn1

clamav-scannerとclamav-server-sysvinitでお互いがお互いを必要としている?

 

こんな感じでイマイチ良く分からない不具合に遭遇しています。

 

いろいろと海外のサイトを見ると、clamav-scanner、clamav-server-sysvinitを削除すれば良いらしいのだが・・・

 

あれ?バージョンアップして仕様が変わったのかな?

 

今回は時間も時間なので・・・clamav-scanner、clamav-server-sysvinitを削除し対応しました。。。